summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--packaging/.gitattributes1
-rwxr-xr-xpackaging/make-dist.sh8
2 files changed, 9 insertions, 0 deletions
diff --git a/packaging/.gitattributes b/packaging/.gitattributes
new file mode 100644
index 0000000..e26d7d9
--- /dev/null
+++ b/packaging/.gitattributes
@@ -0,0 +1 @@
+make-dist.sh export-ignore
diff --git a/packaging/make-dist.sh b/packaging/make-dist.sh
new file mode 100755
index 0000000..988b08d
--- /dev/null
+++ b/packaging/make-dist.sh
@@ -0,0 +1,8 @@
+#!/bin/bash
+if [ "$#" -eq "0" ]; then
+ echo "Usage: make-dist.sh <version>"
+ exit 1
+fi
+name="tmw-branding-$1"
+git archive -v --prefix="$name/" HEAD | gzip > "$name.tar.gz"
+echo "Release ready as $name.tar.gz"